be.fgov.ehealth.standards.kmehr.cd.v1

## Class CDEBIRTHCAESAREANINDICATION

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.cd.v1.CDEBIRTHCAESAREANINDICATION

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:21:36+02:00",
                 comments="JAXB RI v2.2.11")
      public class CDEBIRTHCAESAREANINDICATION
      extends Object
      implements Serializable

  Java class for CD-EBIRTH-CAESAREANINDICATION complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CD-EBIRTH-CAESAREANINDICATION">
         <simpleContent>
           <extension base="<http://www.ehealth.fgov.be/standards/kmehr/cd/v1>CD-EBIRTH-CAESAREANINDICATIONvalues">
             <attribute name="S" use="required" type="{http://www.w3.org/2001/XMLSchema}string" fixed="CD-EBIRTH-CAESAREANINDICATION" />
             <attribute name="SV" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="DN" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="L" type="{http://www.w3.org/2001/XMLSchema}language" default="en" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDEBIRTHCAESAREANINDICATION()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDN()` Gets the value of the dn property.
    `String` | `getL()` Gets the value of the l property.
    `String` | `getS()` Gets the value of the s property.
    `String` | `getSV()` Gets the value of the sv property.
    `CDEBIRTHCAESAREANINDICATIONvalues` | `getValue()` Gets the value of the value property.
    `void` | `setDN(String value)` Sets the value of the dn property.
    `void` | `setL(String value)` Sets the value of the l property.
    `void` | `setS(String value)` Sets the value of the s property.
    `void` | `setSV(String value)` Sets the value of the sv property.
    `void` | `setValue(CDEBIRTHCAESAREANINDICATIONvalues value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDEBIRTHCAESAREANINDICATION

          public CDEBIRTHCAESAREANINDICATION()

  - ### Method Detail

    - #### getValue

          public CDEBIRTHCAESAREANINDICATIONvalues getValue()

      Gets the value of the value property.
      Returns:
        possible object is `CDEBIRTHCAESAREANINDICATIONvalues`

    - #### setValue

          public void setValue(CDEBIRTHCAESAREANINDICATIONvalues value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `CDEBIRTHCAESAREANINDICATIONvalues`

    - #### getS

          public String getS()

      Gets the value of the s property.
      Returns:
        possible object is `String`

    - #### setS

          public void setS(String value)

      Sets the value of the s property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSV

          public String getSV()

      Gets the value of the sv property.
      Returns:
        possible object is `String`

    - #### setSV

          public void setSV(String value)

      Sets the value of the sv property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDN

          public String getDN()

      Gets the value of the dn property.
      Returns:
        possible object is `String`

    - #### setDN

          public void setDN(String value)

      Sets the value of the dn property.
      Parameters:
        `value` - allowed object is `String`

    - #### getL

          public String getL()

      Gets the value of the l property.
      Returns:
        possible object is `String`

    - #### setL

          public void setL(String value)

      Sets the value of the l property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSAUDIOLOGIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.